# Dashboard zur Organisation von Vereinsaktivitäten

Eine Anwendung zum Termine abzustimmen, planen weiterer Termine eines Vereins und zu koordinieren, entwickelt mit React, JavaScript, CSS und PHP.

## Installations- und Einrichtungsanweisungen

Klonen Sie dieses Repository.
Sie müssen `node`, `npm` und einen Webserver mit `PHP` und `MySQL` auf Ihrem Computer installiert haben.

#### Installation und Ausführung der React-Webseite:

Installation :

`npm install`  

Server starten :

`npm run dev`  

Webseite im Browser aufrufen:

`localhost:3000/`

#### Bereitstellen der Datenbank auf dem Webserver:

Importieren  Sie die MySQL Datenbank `\database\event_management.sql` auf Ihrem Webserver.


#### Bereitstellen der API auf dem Webserver:

Stellen Sie sicher, dass die Anwendung auf den MySQL-Server zugreifen kann, indem Sie die Verbindungsdaten (Benutzername, Passwort, Host, Datenbankname) in `server/reader.py` und `.env` aktualisieren.
