import { Server } from 'socket.io';

export default function handler(req, res) {
    if (!res.socket.server.io) {
        console.log('Starting Socket.io server...');
        const io = new Server(res.socket.server);
        res.socket.server.io = io;
        global.io = io;
    
        io.on('connection', (socket) => {
          console.log('Client connected');
        });
      } else {
        console.log('Socket.io server already running');
      }
      res.end();
}