import { GroupMn, Group } from '../../../../server/db';

export default async function handler(req, res) {
  const { id: eventId } = req.query;

  const groupMns = await GroupMn.findAll({
    where: { eventId },
    include: Group
  });

  res.status(200).json(groupMns);
}