import { Group } from '../../server/db';

export default async function handler(req, res) {
  if (req.method === 'GET') {
    const groups = await Group.findAll();
    res.status(200).json(groups);
  } else if (req.method === 'POST') {
    const { name } = req.body;
    const newGroup = await Group.create({ name });
    res.status(201).json(newGroup);
  }
}